#include "TowerMapObjectPlacer.h"

#include "Airport.h"
#include "TowerMapObject.h"

IMPLEMENT_CLASS(TowerMapObjectPlacer,MapObjectPlacer);

TowerMapObjectPlacer::TowerMapObjectPlacer(Airport::SmartRef airport):
        _airport(airport)
{
}

TowerMapObjectPlacer::~TowerMapObjectPlacer() {
}

MapObject* TowerMapObjectPlacer::PlaceObject(Point3D position) {
        TowerMapObject::SmartRef tower=new TowerMapObject(_airport->GetTransactionManager(),
                                                          position,
                                                          100.0,
                                                          true,
                                                          wxT("Tower"));
        _airport->GetObjectsLayer()->AttachObject(tower);
        return tower;
}

