#ifndef WindsockMapObjectPlacer_h
#define WindsockMapObjectPlacer_h

// For compilers that support precompilation, includes "wx.h".
#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
// Include your minimal set of headers here, or wx.h
#include <wx/wx.h>
#endif

#include <Main/MapObjectPlacer.h>

#include "Airport.h"

class WindsockMapObjectPlacer: public MapObjectPlacer {
        
        DECLARE_CLASS(WindsockMapObjectPlacer)
        
public:
        WindsockMapObjectPlacer(Airport::SmartRef airport);
        virtual ~WindsockMapObjectPlacer();

        virtual MapObject* PlaceObject(Point3D position);
protected:
        Airport::SmartRef _airport;
};

#endif

