#ifndef ProjectWizardNewAirportPage_h
#define ProjectWizardNewAirportPage_h

// For compilers that support precompilation, includes "wx.h".
#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
// Include your minimal set of headers here, or wx.h
#include <wx/wx.h>
#endif

#include <wx/wizard.h>

#include <Airport/Airport.h>

class ProjectWizardNewAirportPage: public wxWizardPageSimple {

        DECLARE_CLASS(ProjectWizardNewAirportPage)

public:
	ProjectWizardNewAirportPage(wxWizard* parent,
                     wxWizardPage* prev = NULL,
                     wxWizardPage* next = NULL,
                     const wxBitmap& bitmap = wxNullBitmap,
                     const wxChar *resource = NULL);
        virtual ~ProjectWizardNewAirportPage();

        void OnPageChanging(wxWizardEvent& evt);
protected:
        DECLARE_EVENT_TABLE()

        Airport::AirportType GetAirportType() const;

        wxChoice *_airportType;
        wxTextCtrl *_icaoID;
        wxTextCtrl *_name;
        wxTextCtrl *_elevation;
        wxCheckBox *_hasControlTower;
        wxCheckBox *_hasDefaultBuildings;
        wxTextCtrl *_refLat;
        wxTextCtrl *_refLon;
};

#endif

