#ifndef MapSelectionActionsHandler_h
#define MapSelectionActionsHandler_h

// For compilers that support precompilation, includes "wx.h".
#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
// Include your minimal set of headers here, or wx.h
#include <wx/wx.h>
#endif

class MapSelectionActionsHandler: public wxEvtHandler {
        
        DECLARE_CLASS(MapSelectionActionsHandler)
        
public:
	MapSelectionActionsHandler();
        virtual ~MapSelectionActionsHandler();
        
        static MapSelectionActionsHandler* GetInstance() {
                return &_instance;
        }
        
        void OnBringToFront(wxCommandEvent& evt);
        void OnBringForward(wxCommandEvent& evt);
        void OnBringBackward(wxCommandEvent& evt);
        void OnBringToBack(wxCommandEvent& evt);
        void OnDelete(wxCommandEvent& evt);
protected:
        static MapSelectionActionsHandler _instance;
};

#endif

